com.verisign.epp.interfaces

## Class EPPRegistryTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.interfaces.EPPRegistryTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPRegistryTst
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryTst(java.lang.String name)` Allocates an `EPPRegistryTst` with a logical name.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleException(java.lang.Exception aException)` Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeTldName()`
    `void` | `registryCheck(java.util.Map tldNames)` Unit test of `EPPRegistry.sendCheck`.
    `void` | `registryCreate(java.lang.String tldName, boolean shouldSucceed)` Unit test of `EPPRegistry.sendCreate`.
    `void` | `registryDelete(java.lang.String tldName, boolean shouldSucceed)` Unit test of `EPPRegistry.sendDelete`.
    `void` | `registryInfo(java.lang.String tldName)` Unit test of `EPPRegistry.sendInfo`.
    `void` | `registryUpdate(java.lang.String tldName, boolean shouldSucceed)` Unit test of `EPPRegistry.sendUpdate`.
    `protected void` | `setUp()`
    `static junit.framework.Test` | `suite()`
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testRegistry()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryTst

          public EPPRegistryTst(java.lang.String name)

      Allocates an `EPPRegistryTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.
      Parameters:
        `name` - Logical name of the test

  - ### Method Detail

    - #### testRegistry

          public void testRegistry()

    - #### registryCheck

          public void registryCheck(java.util.Map tldNames)

      Unit test of `EPPRegistry.sendCheck`.

    - #### registryCreate

          public void registryCreate(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendCreate`.

    - #### registryDelete

          public void registryDelete(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendDelete`.

    - #### registryUpdate

          public void registryUpdate(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendUpdate`.

    - #### registryInfo

          public void registryInfo(java.lang.String tldName)

      Unit test of `EPPRegistry.sendInfo`.

    - #### makeTldName

          public java.lang.String makeTldName()

    - #### handleException

          public void handleException(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

Copyright © VeriSign Inc. All Rights Reserved.